> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get datasets



## OpenAPI

````yaml get /datasets
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /datasets:
    get:
      tags:
        - Datasets
      summary: Get datasets
      operationId: getDatasets
      parameters:
        - in: query
          name: project
          required: true
          schema:
            type: string
          description: Project Name associated with the datasets like `New Project`
        - in: query
          name: type
          schema:
            type: string
            enum:
              - evaluation
              - fine-tuning
          description: Type of the dataset - "evaluation" or "fine-tuning"
        - in: query
          name: dataset_id
          schema:
            type: string
          description: >-
            Unique dataset ID for filtering specific dataset like
            `663876ec4611c47f4970f0c3`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  testcases:
                    type: array
                    items:
                      $ref: '#/components/schemas/Dataset'
      x-codeSamples:
        - lang: python
          label: getDatasets
          source: >-
            import honeyhive

            from honeyhive.models import operations


            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )



            res = s.datasets.get_datasets(project='<value>',
            type=operations.Type.EVALUATION, dataset_id='<value>')


            if res.object is not None:
                # handle response
                pass
        - lang: typescript
          label: getDatasets
          source: >-
            import { HoneyHive } from "honeyhive";

            import { GetDatasetsRequest, TypeT } from
            "honeyhive/dist/models/operations";


            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });
            const project: string = "<value>";

            const type: TypeT = TypeT.Evaluation;

            const datasetId: string = "<value>";

              const res = await sdk.datasets.getDatasets(project, type, datasetId);

              if (res.statusCode == 200) {
                // handle response
              }
            }


            run();
components:
  schemas:
    Dataset:
      type: object
      properties:
        project:
          type: string
          description: UUID of the project associated with this dataset
        name:
          type: string
          description: Name of the dataset
        description:
          type: string
          description: A description for the dataset
        type:
          type: string
          enum:
            - evaluation
            - fine-tuning
          description: What the dataset is to be used for - "evaluation" or "fine-tuning"
        datapoints:
          type: array
          items:
            type: string
          description: List of unique datapoint ids to be included in this dataset
        num_points:
          type: integer
          description: Number of datapoints included in the dataset
        linked_evals:
          type: array
          items:
            type: string
            description: List of unique evaluation run ids associated with this dataset
        saved:
          type: boolean
          description: Whether the dataset has been saved or detected
        pipeline_type:
          type: string
          enum:
            - event
            - session
          description: >-
            The type of data included in the dataset - "event" (default) or
            "session"
        created_at:
          type: string
          format: date-time
          description: Timestamp of when the dataset was created
        updated_at:
          type: string
          format: date-time
          description: Timestamp of when the dataset was last updated
      example:
        project: New Project
        name: test-dataset
        description: A test dataset
        type: evaluation
        datapoints:
          - 66369748b5773befbdc661e2
        num_points: 1
        linked_evals: []
        saved: false
        pipeline_type: event
        created_at: '2024-05-04T20:15:04.124Z'
        updated_at: '2024-05-04T20:15:04.124Z'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````